コンテンツへスキップ

H3 Max Relight

統合

モデルID minimax/h3-max/relight
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3-max/relight?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "reference_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.80 800 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
MiniMax 動画変換 参照入力2Kまで #video-to-video#video-editing#relighting

照明球画像を使って動画を再照明し、被写体、動き、音声を維持

MiniMax · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 video_url
ファイルをドロップ、または

最大長15秒のソース動画。自動準備版によって出力の長さとフレーム数が決まります。準備時に動画を一定24 fpsへ変換し、17n+5に最も近いフレーム数になるまで末尾のフレームを削除します。少なくとも56フレーム(約2.33秒)を保持します。

•必須
ファイルをドロップ、または

目的の照明を表現するレンダリング済みの球体。

resolution デフォルト 768P

動画解像度の選択。1080Pと2K(1440p)では、768Pのベースに潜在空間アップスケーリングとリファインメントを適用します。480Pまたは768Pを選択するとネイティブ生成を使用します。

aspect_ratio デフォルト 16:9

生成された動画のアスペクト比。

詳細設定 seed · enable_safety_checker

動画生成中のランダム性を制御するシード。

POST /run/minimax/h3-max/relight?wait=20 見積もり → $0.80
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3-max/relight?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "reference_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

H3 Max Relightについて

球体レンダーに表示された照明(`reference_image_url`)を、最大15秒のソース動画に適用します。動画は24 fpsに変換され、有効なフレーム数にトリミングされます。残りの長さは約2.33秒以上必要です。`resolution`は480P~2Kで、`aspect_ratio`はadaptiveまたは複数の固定比率に対応します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
video_url必須 video
型url · video
最大長15秒のソース動画。自動準備版によって出力の長さとフレーム数が決まります。準備時に動画を一定24 fpsへ変換し、17n+5に最も近いフレーム数になるまで末尾のフレームを削除します。少なくとも56フレーム(約2.33秒)を保持します。
reference_image_url必須
型url · image
目的の照明を表現するレンダリング済みの球体。
resolution任意
型enum
デフォルト768P
480P768P1080P2K
動画解像度の選択。1080Pと2K(1440p)では、768Pのベースに潜在空間アップスケーリングとリファインメントを適用します。480Pまたは768Pを選択するとネイティブ生成を使用します。
aspect_ratio任意
型enum
デフォルト16:9
adaptive21:916:94:31:13:49:16
生成された動画のアスペクト比。
seed任意
型integer | null
動画生成中のランダム性を制御するシード。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックを有効にするかどうかを制御します。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "minimax/h3-max/relight",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 800,
    "usd": "0.80",
    "charged": 800,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "reference_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42,
    "timings": {}
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}照明の変更を適用した動画。
seed
integer生成結果を再現するためのベースシード。
timings
object | null推論にかかった時間。利用可能な場合は秒単位で表します。

その他のモデル: 動画変換

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/minimax/h3-max/relight.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt